# $Revision: 1.25 $, $Date: 2011/10/18 07:24:53 $
# NOTE: currently PLD libffi packages are built from gcc.spec
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Foreign Function Interface library
Summary(pl.UTF-8):	Biblioteka Foreign Function Interface
Name:		libffi
Version:	3.0.10
Release:	1.1
Epoch:		7
License:	MIT-like
Group:		Libraries
Source0:	ftp://sourceware.org/pub/libffi/%{name}-%{version}.tar.gz
# Source0-md5:	79390673f5d07a8fb342bc09b5055b6f
Patch0:		%{name}-info.patch
URL:		http://sources.redhat.com/libffi/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libffi library provides a portable, high level programming
interface to various calling conventions. This allows a programmer to
call any function specified by a call interface description at
run-time.

Ffi stands for Foreign Function Interface. A foreign function
interface is the popular name for the interface that allows code
written in one language to call code written in another language. The
libffi library really only provides the lowest, machine dependent
layer of a fully featured foreign function interface. A layer must
exist above libffi that handles type conversions for values passed
between the two languages.

%description -l pl.UTF-8
Biblioteka libffi dostarcza przenośny, wysokopoziomowy interfejs do
różnych konwencji wywołań funkcji. Pozwala to programiście wywołać
dowolną funkcję podaną przez opis interfejsu wywołania w czasie
działania programu.

FFI to skrót od Foreign Function Interface, czyli interfejsu do obcych
funkcji. Jest to potoczna nazwa interfejsu pozwalającego programowi
napisanemu w jednym języku wywoływać kod napisany w innym języku.
Biblioteka libffi daje tylko najniższą, zależną od maszyny warstwę
pełnego interfejsu. Potrzebne są wyższe warstwy do obsługi konwersji
typów dla wartości przekazywanych pomiędzy różnymi językami.

%package devel
Summary:	libffi development package
Summary(pl.UTF-8):	libffi - część dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for libffi.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki libffi.

%package static
Summary:	libffi static library
Summary(pl.UTF-8):	Statyczna biblioteka libffi
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static version of libffi.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libffi.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc ChangeLog* LICENSE README
%attr(755,root,root) %{_libdir}/libffi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libffi.so.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libffi.so
%{_libdir}/libffi.la
%{_libdir}/libffi-%{version}
%{_pkgconfigdir}/libffi.pc
%{_mandir}/man3/ffi*.3*
%{_infodir}/libffi.info*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libffi.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libffi.spec,v $
Revision 1.25  2011/10/18 07:24:53  lisu
- drop obsoleted rm

Revision 1.24  2011/09/30 16:22:36  qboosh
- fixed aclocal call

Revision 1.23  2011/09/08 19:20:16  qboosh
- updated to 3.0.10 (but gcc version is still used distro-wide though - so release 1.1 here)

Revision 1.22  2010/05/12 20:14:38  sparky
- BR: texinfo

Revision 1.21  2010/03/25 07:01:41  qboosh
- updated to 3.0.9

Revision 1.20  2009/10/02 22:55:26  qboosh
- added m4 patch

Revision 1.19  2009/06/09 11:52:07  amateja
- updated to 3.0.8

Revision 1.18  2009/03/22 19:46:34  glen
- check-files cleanup

Revision 1.17  2008/08/20 05:09:12  qboosh
- updated to 3.0.6

Revision 1.16  2008/05/28 20:45:26  qboosh
- updated to 3.0.7, separate from gcc once again
- epoch 7
- removed obsolete pld,acam patches, added info patch

Revision 1.15  2007-07-23 17:29:50  witekfl
- added missing #

Revision 1.14  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.12  2006/11/09 20:39:45  glen
- strict internal deps

Revision 1.11  2005/06/15 21:39:26  witekfl
- added bcond_without static_libs

Revision 1.10  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 12:59:27  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 05:49:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/12/29 00:15:24  qboosh
- updated Source0 URL
- not only ppc (small patch + uuuugly ac/am fixes needed for x86)
- release 4

Revision 1.6  2002/11/27 21:10:41  juandon
- new %doc

Revision 1.5  2002/11/25 14:16:52  ankry
- massive attack: no need for 755 for *.la

Revision 1.4  2002/05/09 19:49:31  qboosh
- real pl description, other standarizations; release 3

Revision 1.3  2002/05/09 08:04:28  marcus
- rel.2.

Revision 1.2  2002/04/27 10:32:17  mmazur
- added ExclusiveArch ppc

Revision 1.1  2002/04/26 19:37:07  mmazur
- 86919f89d6611a7aabfd0ee839b4ace2
